<ion-header>
  <ion-toolbar class="background-header">
    <div class="ic-back" slot="start" (click)="back()">
      <ion-icon name="arrow-round-back"></ion-icon>
    </div>
    <ion-title color="light">Isi Saldo</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <div class="input-saldo ion-padding">
    <ion-item>
      <ion-label position='stacked' class="nominal-lable">ISI NOMINAL</ion-label>
      <ion-input class="nominal" [(ngModel)]="params.nominal" type='number' placeholder="Rp 0"></ion-input>
    </ion-item>
  </div>

  <div>
    <h5 class="ion-padding-start color-secondary">
      Riwayat
    </h5>
    <div style="height:55vh;overflow-y:auto">
      <ion-list style="margin-bottom:55px;">
        <ion-item *ngFor="let list of historyList" fxLayout="column">
          <ion-label>
            <h4 class="lbl-primary">{{globalService.formatRupiah(list?.nominal,true)}}</h4>
            <p>{{list?.paymentType}}</p>
          </ion-label>
          <p class="color-secondary" [ngClass]="{'color-primary': list?.saldoLogType == 'Kredit'}">
            {{list?.saldoLogType}}
          </p>
        </ion-item>
      </ion-list>
    </div>
  </div>
  <div class="footer ion-padding">
    <div class="user-agree">
      <ion-grid>
        <ion-row>
          <ion-col size="1">
            <img src="assets/icon/icon_guild.png" alt="">
          </ion-col>
          <ion-col size="11">
            <p>MBAKU pastikan seluruh transaksi kamu akan cepat dan aman.</p>
          </ion-col>
        </ion-row>
      </ion-grid>
    </div>

    <ion-button class="btn-next" (click)="presentActionSheet()" expand="full">
      LANJUT
    </ion-button>
  </div>

</ion-content>